Subject: [Mgs] Moss MGA/MGB Laygear upgrade

From: PHIL BATES <[email-masked]>
Date: Wed, 9 Jan 2013 09:40:43 -0700

Barney,
I have an MGA gearbox I need to rebuild.  Basically, just bearings,
thrust washers, 1st gear etc.  I wondered if you have (or know of
anyone that has) experience with the Moss upgrade kit that includes a
new laygear with new needle bearings (the loose bearing style),
spacers to keep the bearings in place, and dummy shaft??  I read most
if not all of your layshaft improvement page and the info on the
improvements.  It appears the Moss kit takes care of that, although it
also contains a layshaft....which may or may not be needed (you say
they are very hard wearing).

Phil Bates
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/mgs/[email-masked]